/*************************************************************************
* MediaCoder extension - Samsung YP-P2
* modified by quickvid
* Distributed under GPL license
* Copyright (c) 2005-06 Stanley Huang <stanleyhuangyc@yahoo.com.cn
* All rights reserved.
*************************************************************************/

function ApplyParams()
{
	var doc = NewXML("MediaCoderPref");
	if (!doc) {
		alert("Error creating config XML");
		return;
	}
	
	var format = document.getElementById("format").value;
	
	AddPrefNode(doc, "overall.video.format", format);
	AddPrefNode(doc, "overall.video.bitrate", document.getElementById("vb").value);
	AddPrefNode(doc, "audioenc.lame.bitrate", document.getElementById("ab").value);
	AddPrefNode(doc, "videofilter.frame.fps", document.getElementById("fps").value);
	AddPrefNode(doc, "videofilter.crop.mode", document.getElementById("crop").value);
	
	// post settings to MediaCoder
	PostPrefXML(doc);
}

function Unload()
{
	// stop playback
	SendCommand("stop_play");
}
